> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List connected integrations

> Lists all integrations connected to a Vanta instance.



## OpenAPI

````yaml /reference/manage-vanta.json get /integrations
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /integrations:
    get:
      tags:
        - Integrations
      summary: List connected integrations
      description: Lists all integrations connected to a Vanta instance.
      operationId: ListConnectedIntegrations
      parameters:
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_Integration_'
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - integrationId: asana
                          displayName: Asana
                          resourceKinds:
                            - AsanaAccount
                            - AsanaTask
                          connections:
                            - connectionId: 62ffd6793ef7978318baefa8
                              isDisabled: false
                              connectionErrorMessage: null
                            - connectionId: 62fed1234ef7978318baefa9
                              isDisabled: true
                              connectionErrorMessage: Authorization Error connecting to Asana
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: YXBvbGxv
                        endCursor: YXBvbGxv
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_Integration_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/Integration'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    Integration:
      properties:
        integrationId:
          type: string
          description: A unique identifier for the Integration.
        displayName:
          type: string
          description: The Integration's display name.
        resourceKinds:
          items:
            type: string
          type: array
          description: >-
            A list of string identifiers for the resource types ingested by the
            Integration.
        connections:
          items:
            $ref: '#/components/schemas/Connection'
          type: array
          description: A list of installed Connections.
      required:
        - integrationId
        - displayName
        - resourceKinds
        - connections
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
    Connection:
      properties:
        connectionId:
          type: string
          description: The unique identifier for the Connection.
        isDisabled:
          type: boolean
          description: Whether the Connection has been disabled by Vanta.
        connectionErrorMessage:
          type: string
          nullable: true
          description: An error message that may accompany disabled Connections.
      required:
        - connectionId
        - isDisabled
        - connectionErrorMessage
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````